package Account

import "time"

type User struct {
	Id     int    `orm:"column(ID);size(11);auto;pk"`
	T_uuid string `orm:"size(256);null"` //
	//T_power    int       `orm:"size(2);default(0)"`                                    // 权限
	T_name     string    `orm:"size(256);null"`                                        // 某某公司名称
	T_pass     string    `orm:"size(256);null"`                                        // 密码 MD5
	T_passstr  string    `orm:"size(256);null"`                                        // 密码明文
	T_Show     int       `orm:"size(200);default(1)"`                                  // 0隐藏  1公开
	T_State    int       `orm:"size(200);default(1)"`                                  // 0删除  1正常
	CreateTime time.Time `orm:"column(create_time);type(timestamp);null;auto_now_add"` //auto_now 每次 model 保存时都会对时间自动更新
	UpdateTime time.Time `orm:"column(update_time);type(timestamp);null;auto_now"`     //auto_now_add 第一次保存时才设置时间
}
